Skip to main content
GET
/
api
/
learnings
List Learnings Endpoint
curl --request GET \
  --url https://api.example.com/api/learnings
{
  "all_concepts": [
    "<string>"
  ],
  "all_tools": [
    "<string>"
  ],
  "sources": [
    {
      "learnings": {
        "code_snippets": [
          {
            "code": "<string>",
            "description": "<string>",
            "language": "<string>",
            "verdict": {
              "explanation": "<string>",
              "status": "correct",
              "corrected_code": "<string>",
              "corrected_description": "<string>"
            }
          }
        ],
        "concepts": [
          "<string>"
        ],
        "summary": "<string>",
        "tools": [
          "<string>"
        ]
      },
      "namespace": "<string>",
      "source_id": "<string>",
      "source_type": "youtube",
      "title": "<string>",
      "thumbnail_url": "<string>",
      "url": "<string>"
    }
  ],
  "total": 123
}

Query Parameters

concept
string | null

Filter by concept

tool
string | null

Filter by tool

search
string | null

Search in summaries/concepts/tools

namespace
string | null

Filter by namespace

Response

Successful Response

Aggregated learnings response.

all_concepts
string[]
required
all_tools
string[]
required
sources
LearningSource · object[]
required
total
integer
required